<?php

namespace WpifyWoo;

use Wpify\Core_4_0\Abstracts\AbstractLogger;
use Wpify\Core_4_0\WordpressMonologHandler;

class Logger extends AbstractLogger {
	public function channel(): string {
		return 'wpify-woo';
	}

	public function handler() {
		$wordPressHandler              = new WordpressMonologHandler( $this->wpdb, $this->table(), array(), $this::DEBUG );
		$wordPressHandler->initialized = true;

		return $wordPressHandler;
	}

	public function table(): string {
		return 'wpify_woo_log';
	}
}
