<?php

namespace WpifyWoo\Repositories;

use Wpify\Core_4_0\Abstracts\AbstractWooOrderRepository;
use WpifyWoo\PostTypes\WooOrderPostType;
use WpifyWoo\Plugin;

/**
 * @property Plugin $plugin
 */
class WooOrderRepository extends AbstractWooOrderRepository {

	public function post_type(): WooOrderPostType {
		return $this->plugin->get_post_type( WooOrderPostType::class );
	}
}
