<?php

namespace WpifyWoo\Managers;

use Wpify\Core_4_0\Abstracts\AbstractManager;
use WpifyWoo\Plugin;
use WpifyWoo\Repositories\PacketaOrderRepository;
use WpifyWoo\Repositories\WooOrderRepository;

/**
 * Class RepositoriesManager
 *
 * @package Wpify\Managers
 * @property Plugin $plugin
 */
class RepositoriesManager extends AbstractManager {
	protected $modules = array(
		WooOrderRepository::class,
		PacketaOrderRepository::class,
	);
}
