<?php

namespace WpifyWoo\PostTypes;

use WpifyWoo\Factories\WooOrderFieldsFactory;
use WpifyWoo\Models\PacketaOrderModel;
use WpifyWoo\Plugin;
use WpifyWoo\PostTypes\WooOrderPostType;

/**
 * Class BookPostType
 *
 * @package WpifyPlugin\Cpt
 * @property Plugin $plugin
 */
class PacketaOrderPostType extends WooOrderPostType {
	public function model(): string {
		return PacketaOrderModel::class;
	}

	public function custom_fields_factory(): ?string {
		return WooOrderFieldsFactory::class;
	}
}
